<script>
	export let name;
	export let greeting;
	export let wsStore;
	export let startSession;

	wsStore.subscribe(( data ) => {
		console.log( data )
	})

</script>

<main>
	<h1>{greeting} {name}!</h1>
	<button on:click={ startSession() }>Start a Session</button>
</main>

<style>
	main {
		text-align: center;
		padding: 1em;
		max-width: 240px;
		margin: 0 auto;
	}

	h1 {
		color: #ff3e00;
		text-transform: uppercase;
		font-size: 4em;
		font-weight: 100;
	}

	@media (min-width: 640px) {
		main {
			max-width: none;
		}
	}
</style>